commit:     993a7b14df80e7bbd34d5edcfeb026a2a21a9258
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 27 18:54:28 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Thu Jun 27 20:23:42 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=993a7b14

gui-libs/wlroots: add 0.17.4

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 gui-libs/wlroots/Manifest              |   1 +
 gui-libs/wlroots/wlroots-0.17.4.ebuild | 106 +++++++++++++++++++++++++++++++++
 2 files changed, 107 insertions(+)

diff --git a/gui-libs/wlroots/Manifest b/gui-libs/wlroots/Manifest
index aff6698da55e..c3c7c71a7042 100644
--- a/gui-libs/wlroots/Manifest
+++ b/gui-libs/wlroots/Manifest
@@ -2,3 +2,4 @@ DIST wlroots-0.15.1.tar.gz 565816 BLAKE2B 
09b704a55d8b4a5ab19bb0fcdd041635fbbbb8
 DIST wlroots-0.16.2.gl.tar.gz 588432 BLAKE2B 
cad2a98b1413ed94270b53af62541d67de1c74d3350be32c2e67aaee1d36d4260738b517d6d41f2013f436276097509a5d2662c531be354f7b4edc1c0204eced
 SHA512 
9d5fbee3b87738de75323a056b83446eb93b81ac3e8a4315918d5daad6ed2f50392d9641039f3f830ec1df94155473a2052689d3c029be7572d8ec9ecc62c0e9
 DIST wlroots-0.17.2.tar.gz 606822 BLAKE2B 
bbf6e8d0014f6613b39cbb6a0a8e5be395a858a5db8e432307298f20eb37c6622dbc6e078e21d9b8396dd836da1f9787b433549641cc664962eb96a122846edc
 SHA512 
44a3ec673431c02fc08a5c33daa06148b5e85a3a7ea45b28978cd6be230dd4c5082e8a34985e2976c9e64f98b7567e334c191c3d20141e8e27ddc4a4659843cc
 DIST wlroots-0.17.3.tar.gz 608292 BLAKE2B 
7caab3c3a58595d3a745c0b20a5db2193c54931cdd7bc1b9de11c151af82503a03a6a3166a86f42486cc69c6ac18ca2a5596809a5c5e6d7b44c9845f509c1093
 SHA512 
b88747daba304db6dc302acdebb8764e719d84134118963c019d5f0d0d38552e0ffd2a50bf560b3b84549c5a0f2d11a6187ac8ddcd9faa28c5b42f86c585b555
+DIST wlroots-0.17.4.tar.gz 609179 BLAKE2B 
dc5a7749533ab54631d4a26be554b86e5b08b2472cf8f22ccebddb319d571cbd98a5c56e64e7bc762a5918d4272eb6b4261050288f3053c18c824c6a9c32b96b
 SHA512 
35803df9fe68cadb0b9b5e522863535407ba2354ed1ca8f824a9c40b64698a97c579fec0afeb444b05d429adc1e3dfc45b20c3a1b7a2004e4f5a10d2305c9116

diff --git a/gui-libs/wlroots/wlroots-0.17.4.ebuild 
b/gui-libs/wlroots/wlroots-0.17.4.ebuild
new file mode 100644
index 000000000000..2e2b41de1151
--- /dev/null
+++ b/gui-libs/wlroots/wlroots-0.17.4.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson
+
+DESCRIPTION="Pluggable, composable, unopinionated modules for building a 
Wayland compositor"
+HOMEPAGE="https://gitlab.freedesktop.org/wlroots/wlroots";
+
+if [[ ${PV} == 9999 ]]; then
+       EGIT_REPO_URI="https://gitlab.freedesktop.org/${PN}/${PN}.git";
+       inherit git-r3
+       SLOT="0/9999"
+else
+       
SRC_URI="https://gitlab.freedesktop.org/${PN}/${PN}/-/releases/${PV}/downloads/${P}.tar.gz";
+       KEYWORDS="~amd64 ~arm64 ~loong ~ppc64 ~riscv ~x86"
+       SLOT="0/$(ver_cut 2)"
+fi
+
+LICENSE="MIT"
+IUSE="liftoff +libinput +drm +session vulkan x11-backend xcb-errors X"
+REQUIRED_USE="
+       drm? ( session )
+       libinput? ( session )
+       liftoff? ( drm )
+       xcb-errors? ( || ( x11-backend X ) )
+"
+
+PATCHES=( "${FILESDIR}/${PN}-0.17-fix-automagic-libliftoff.patch" )
+
+RDEPEND="
+       >=dev-libs/wayland-1.22.0
+       media-libs/libglvnd
+       || (
+               >=media-libs/mesa-24.1.0_rc1[opengl]
+               <media-libs/mesa-24.1.0_rc1[egl(+),gles2]
+       )
+       >=x11-libs/libdrm-2.4.114
+       x11-libs/libxkbcommon
+       >=x11-libs/pixman-0.42.0
+       drm? (
+               media-libs/libdisplay-info
+               sys-apps/hwdata
+               liftoff? ( dev-libs/libliftoff )
+       )
+       libinput? ( >=dev-libs/libinput-1.14.0:= )
+       session? (
+               sys-auth/seatd:=
+               virtual/libudev
+       )
+       vulkan? (
+               dev-util/glslang:=
+               dev-util/vulkan-headers
+               media-libs/vulkan-loader
+       )
+       xcb-errors? ( x11-libs/xcb-util-errors )
+       x11-backend? (
+               x11-libs/libxcb:=
+               x11-libs/xcb-util-renderutil
+       )
+       X? (
+               x11-libs/libxcb:=
+               x11-libs/xcb-util-wm
+               x11-base/xwayland
+       )
+"
+
+DEPEND="${RDEPEND}
+       liftoff? ( >=dev-libs/libliftoff-0.4 )
+"
+BDEPEND="
+       >=dev-libs/wayland-protocols-1.32
+       dev-util/wayland-scanner
+       virtual/pkgconfig
+"
+
+src_configure() {
+       local backends=(
+               $(usev drm)
+               $(usev libinput)
+               $(usev x11-backend 'x11')
+       )
+       local meson_backends=$(IFS=','; echo "${backends[*]}")
+       local emesonargs=(
+               $(meson_feature xcb-errors)
+               -Dexamples=false
+               -Drenderers=$(usex vulkan 'gles2,vulkan' gles2)
+               $(meson_feature X xwayland)
+               -Dbackends=${meson_backends}
+               $(meson_feature session)
+               $(meson_feature liftoff libliftoff)
+       )
+
+       meson_src_configure
+}
+
+src_install() {
+       meson_src_install
+       dodoc docs/*
+}
+
+pkg_postinst() {
+       elog "You must be in the input group to allow your compositor"
+       elog "to access input devices via libinput."
+}

Reply via email to